/* Calendar - Week */
.calendar-week .fc-event {
  border-radius: 0 !important;
  border: inherit !important;
  border-left: inherit !important;
  padding: inherit;
  height: auto;
  background-color: #ffffff;
  overflow: hidden;
}

/* Calendar - Month */
.calendar-month .custom-event .table .wrapper {
  display: flex;
  align-items: center;
}
.calendar-month .custom-event .table .dot {
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
}
.calendar-month .custom-event .table .title {
  display: block;
  text-overflow: ellipsis;
  overflow: hidden;
  padding: 0 0;
  -webkit-line-clamp: 2;
  font-size: 0.9375rem;
}

.calendar-month .fc-event .custom-event .title-time {
  display: none;
}
.calendar-month .fc-event .custom-event .desc {
  display: none;
}

.calendar-month .fc-theme-standard .fc-popover .title-time {
  display: block;
}
.calendar-month .fc-theme-standard .fc-popover .desc {
  display: block;
}

/* Calendar - Year */
.fc-theme-standard td,
.fc-theme-standard th {
  border: 0;
}
.fc-view-harness.fc-view-harness-active {
  height: auto !important;
}
.fc-multimonth-month {
  width: calc(100% / 3 - 21px) !important;
  margin: 7px;
  padding: 0;
  overflow: hidden;
  border: 1px solid transparent;
  border-radius: 0.5rem 0.5rem 0.5rem 0.5rem;
}

.fc-popover {
  box-shadow: 0px 0px 44px 0px #00000026;
  border: 0;
  border-radius: 0.5rem;
  overflow: hidden;
  background: var(--fc-page-bg-color);
}

.fc-popover .fc-popover-body {
  max-height: 22.4375rem;
  overflow-y: auto;
}
.fc-popover .fc-popover-body .fc-event .title {
  font-size: 0.9375rem;
}
.fc-popover .fc-popover-body .fc-event .title,
.fc-popover .fc-popover-body .fc-event .desc {
  display: block;
  display: -webkit-box;
  text-overflow: ellipsis;
  overflow: hidden;
  -webkit-box-orient: vertical;
  transition: color 0.25s;
  -webkit-line-clamp: 1;
}
.fc-popover {
  width: 100%;
  max-width: 20rem;
  z-index: 2;
}
.fc-popover-close {
  position: absolute;
  right: 0.75rem;

  cursor: pointer;
  font-size: 1.1em;
  opacity: 0.65;
}
.fc-popover-header {
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.fc-popover-body .fc-daygrid-event-harness {
  padding: 0.5rem 0.5rem 0 0.5rem;
}
.fc-popover-body .fc-daygrid-event-harness:last-child {
  padding-bottom: 0.5rem;
}

.fc-popover .fc-popover-header {
  padding: 0.5rem 0.5rem 0 0.5rem;
}
.fc-popover .fc-popover-header .fc-popover-title {
  font-size: 1rem;
  font-weight: 500;
  margin: 0;
}
.fc-popover .fc-popover-body {
  padding: 0;
}
.fc-popover .fc-popover-body .fc-event {
  display: block;
  margin: 0;
  border-radius: 0;
  padding: 0 0.5rem;
  border: 0;
  transition: all 0.25s;
  border-left: 4px solid transparent;
  border-radius: 0.25rem;
}
.fc-popover .fc-popover-body .fc-event .fc-event-title {
  font-size: 0.875rem;
  font-weight: 300;
}
.fc-popover .event-more {
  display: flex;
  text-align: center;
  padding: 0.5rem 0;
  align-items: center;
  justify-content: center;
}
.fc-popover .event-more .icon {
  font-size: 0.75rem;
  transition: margin 0.25s;
  margin-left: 0.375rem;
}
.fc-popover .event-more:hover .icon {
  margin-left: 0.75rem;
}
.fc-popover .event-more:hover {
  background: rgba(123, 177, 255, 0.15);
}
